Subject: Re: bug#17666: 24.3.91; [regression] call-process in read-only buffers
From: "Roland Winkler" <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Mon, 2 Jun 2014 13:14:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon Jun 2 2014 Glenn Morris wrote:
> If you know it isn't going to produce any output, why don't you
> just discard the output instead of sending it to a read-only
> buffer (which is something that really doesn't make sense)?

Certainly, there are various ways around this.

In my case, I cannot remember anymore in all detail why I wrote the
code the way I did.  I expect that I was really *expecting* to have
no output.  Also, in my case, the call of call-process is associated
with a buffer that is most often read-only. So using a read-only
buffer for the process output was probably my cheap solution to keep
track of "really no output".